<?php

namespace Lc\CaracoleBundle\Repository\Merchant;

use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\SovBundle\Repository\AbstractStore;

class MerchantStore extends AbstractStore
{
    protected MerchantRepositoryQuery $query;

    public function __construct(MerchantRepositoryQuery $query)
    {
        $this->query = $query;
    }

    public function getOneByDevAlias(string $devAlias): ?MerchantInterface
    {
        $query = $this->query->create();

        $query->filterByDevAlias($devAlias);

        return $query->findOne();
    }

    //TODO pas de merchant_configs

//    public function findAllWithConfigs()
//    {
//        $qb = $this->createQueryBuilder('hub');
//        $qb->innerJoin('hub.merchantConfigs', 'merchant_configs');
//        return $qb->getQuery()->getResult();
//    }

}
